Payments by ID
API reference
Retrieve payment details by payment ID
Endpoint: /v1/payments/{id}
GET
https://sandbox.crbcos.com/cardpayments/v1/payments/{id}
Path Parameters
- idstringrequiredDescription
Response
- idstringDescription
- originalPaymentIdstringDescription
- clientIdentifierstringDescription
- amountintegerDescription
- paymentTypestringDescription
- statusstringDescription
- sourcestringDescription
- productIdstringDescription
- partnerIdstringDescription
- cardIdstringDescription
- cardTokenstringDescription
- networkstringDescription
- cardBrandstringDescription
- panLastFourstringDescription
- issuerCountryCodestringDescription
- retrievalReferenceIdstringDescription
- networkTransactionIdstringDescription
- reasonCodestringDescription
- reasonDescriptionstringDescription
- traceNumberstringDescription
- correspondingEntityobjectDescription
- firstNamestringDescription
- lastNamestringDescription
- externalAccountIdentifierstringDescription
- addressobjectDescription
- street1stringDescription
- street2stringDescription
- citystringDescription
- statestringDescription
- postalCodestringDescription
- countryCodestringDescription
- mccstringDescription
- merchantVerificationValuestringDescription
- accountNumberstringDescription
- businessTypestringDescription
- purposeOfPaymentstringDescription
- coreTransactionIdstringDescription
- memoPostIdstringDescription
- memoPostRemovedAtstringDescription
- wasRefundedbooleanDescription
- refundPaymentIdstringDescription
- createdAtstringDescription
- authorizedOnstringDescription
- submittedOnstringDescription
- rejectedAtstringDescription
- completedAtstringDescription
- failedAtstringDescription
- limitsEligibleOnstringDescription
- lastModifiedAtstringDescription
- threeDomainSecureEcistringDescription
- threeDomainSecureUcafstringDescription
- threeDomainSecureCavvstringDescription
- threeDomainSecureXidstringDescription
curl
curl --location 'https://sandbox.crbcos.com/cardpayments/v1/payments/9b16efc0-166c-96e1-47fa-5167b34bab85' \
--header 'Authorization: Bearer <token>' \
--header 'Accept: application/json'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'GET',
'hostname': 'sandbox.crbcos.com',
'path': '/cardpayments/v1/payments/9b16efc0-166c-96e1-47fa-5167b34bab85',
'headers': {
'Authorization': 'Bearer <token>',
'Accept': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();python
import requests
url = "https://sandbox.crbcos.com/cardpayments/v1/payments/9b16efc0-166c-96e1-47fa-5167b34bab85"
payload = {}
headers = {
'Authorization': 'Bearer <token>',
'Accept': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/cardpayments/v1/payments/9b16efc0-166c-96e1-47fa-5167b34bab85")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer <token>"
request["Accept"] = "application/json"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/cardpayments/v1/payments/9b16efc0-166c-96e1-47fa-5167b34bab85"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Accept", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"id": "5124e2c1-4660-4cc2-a38f-b42501346965",
"clientIdentifier": "395673a4-d91d-5f82-993d-9e1a9e5ef2a3",
"amount": 100,
"paymentType": "Pull",
"status": "Failed",
"source": "Api",
"productId": "31cae717-408e-4813-a6b1-ad6600e48632",
"partnerId": "82a1cfb9-de92-4cc2-8a74-ad6600e36d7a",
"cardId": "febe40ae-cbe7-4428-9aab-b41b004159eb",
"cardToken": "7D30206F4D3848D387564F4FFDC3D151000000",
"cardBrand": "Visa",
"panLastFour": "1111",
"issuerCountryCode": "US",
"reasonCode": "9999",
"reasonDescription": "CVV not found",
"correspondingEntity": {
"firstName": "Randy",
"lastName": "Marsh",
"externalAccountIdentifier": "411111***1111",
"address": {
"street1": "260 Avenue De Los Mexicanos",
"city": "South Park",
"state": "CO",
"postalCode": "81241",
"countryCode": "US"
}
},
"merchantVerificationValue": "123456",
"accountNumber": "2287979807",
"businessType": "AA",
"wasRefunded": false,
"createdAt": "2026-04-07T14:42:53.557-04:00",
"authorizedOn": "2026-04-07T14:45:09.44-04:00",
"submittedOn": "2026-04-07T14:45:10.397-04:00",
"failedAt": "2026-04-07T14:45:10.397-04:00",
"lastModifiedAt": "2026-04-07T14:47:22.3277117-04:00"
}